[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [equinox-dev] eclipse aspects - info not weaving bundle message

Martin,

bundle <bundle no.> gives:

Required bundles
org.aspectj.runtime;
bundle-version="1.6.1.20080601140000"<update@plugins/org.aspectj.runtime_1.6.1.20080601140000/
[16]>
yyyy; bundle-version="1.0.0"<file:///path/to/xxxx.jar [32]>

So yes, I see a require bundle dependency to my aspects bundle.

To start equinox I always do this:

eclipse -console

My config looks like this:
osgi.bundles=org.eclipse.equinox.common@2:start,
org.eclipse.update.configurator@3:start,
org.aspectj.osgi.service.weaving@4:start
osgi.bundles.defaultStartLevel=5
eclipse.ignoreApp=true
osgi.noShutdown=true
org.osgi.service.http.port=8088
# AOSGi
osgi.framework.extensions=org.aspectj.osgi
#org.eclipse.osgi/debug/supplements=true
org.aspectj.weaver.loadtime.configuration=META-INF/aop.xml;org/aspectj/aop.xml;META-INF/aop-ajc.xml
#aj.weaving.verbose=true
org.aspectj.weaver.showWeaveInfo=true
org.aspectj.osgi.verbose=true

Tried adding -Dosgi.clean=true when starting and this makes it work.
Before I get too excited :-) , what are the implications of doing this
in the wider osgi context? ie what might it affect on other non-aspect
bundles?

Thanks

Rowan